import * as React from 'react';

import { List, ListItem } from 'material-ui/List';
import ContentInbox from 'material-ui/svg-icons/content/inbox';
import ActionGrade from 'material-ui/svg-icons/action/grade';
import ContentSend from 'material-ui/svg-icons/content/send';
import ContentDrafts from 'material-ui/svg-icons/content/drafts';
import Divider from 'material-ui/Divider';
import ActionInfo from 'material-ui/svg-icons/action/info';
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';


const styles = {
    container: {
        textAlign: "center",
        width: 250,

    }
}

export class ProveDownload extends React.Component<any, any> {
    constructor(props: any, context: any) {
        super(props, context)

    }



    render() {


        return (
            <MuiThemeProvider >
                <div style={styles.container}>
                    <List>
                        <ListItem primaryText="Mac OS X" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="Windows" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="Debian" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="Ubuntu" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="Amazon Linux" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="CentOS/RedJat" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="Fedora" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="SUSE" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="CoreOS" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="Docker" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="Kubernetes" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="Openshift" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="Chef" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="Puppet" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="Ansible" leftIcon={<ContentInbox />} />
                        <ListItem primaryText="From Source" leftIcon={<ContentInbox />} />
                    </List>

                </div>
            </MuiThemeProvider>
        );
    }
}
